/*
CREATE DATABASE AdventureWorks2008R2_ss
ON (name='AdventureWorks2008R2_Data', filename='C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\AdventureWorks2008R2_Data.ss')
as snapshot of AdventureWorks2008R2

RESTORE DATABASE AdventureWorks2008R2
FROM DATABASE_SNAPSHOT='AdventureWorks2008R2_ss'
*/


/*SELECT Statement*/
SELECT *
FROM HumanResources.Department
WHERE Name = 'Sales' 

SELECT d.GroupName, d.Name, e.*
FROM HumanResources.Employee e
JOIN HumanResources.EmployeeDepartmentHistory edh ON e.BusinessEntityID = edh.BusinessEntityID 
	AND edh.EndDate IS NULL
JOIN HumanResources.Department d ON edh.DepartmentID = d.DepartmentID 
	AND d.Name = 'Sales'
WHERE e.BusinessEntityID = 275

/*INSERT statement*/
/*
SELECT *
INTO HumanResources.Department2 
FROM HumanResources.Department
WHERE 1=2

TRUNCATE TABLE HumanResources.Department2 
*/

SELECT *
--INTO HumanResources.Department2 
FROM HumanResources.Department WITH (NOLOCK)
WHERE NOT EXISTS (SELECT *
	FROM HumanResources.Department2 
	WHERE HumanResources.Department.DepartmentID = HumanResources.Department2.DepartmentID)

INSERT INTO HumanResources.Department2
SELECT *
FROM HumanResources.Department
WHERE DepartmentID NOT IN (SELECT DepartmentID
	FROM HumanResources.Department2)

	select * from HumanResources.Shift

SET IDENTITY_INSERT HumanResources.Shift ON
INSERT INTO HumanResources.Shift
(ShiftID, Name, StartTime, EndTime, ModifiedDate)
VALUES
(4, 'Grave', '1/1/1900 23:00:00', '1/1/1900 08:00:00', getdate())
SET IDENTITY_INSERT HumanResources.Shift OFF

/*DELETE Statement*/
DELETE FROM HumanResources.Shift
WHERE ShiftID = 4

DELETE FROM HumanResources.Department2
WHERE EXISTS (SELECT * 
	FROM HumanResources.Department 
	WHERE HumanResources.Department.DepartmentID = HumanResources.Department2.DepartmentID)

DELETE a
FROM HumanResources.Department2 AS a
JOIN HumanResources.Department ON HumanResources.Department.DepartmentID 
	= a.DepartmentID

/*UPDATE Statement*/
UPDATE HumanResources.Employee
	SET NationalIDNumber = 123456789
WHERE BusinessEntityID = 1


select * from HumanResources.Employee where BusinessEntityID IN (4,5,11)


DECLARE @table TABLE
(EmployeeId INT,
NationalIDNumber INT)

INSERT INTO @table
SELECT 4, 22620287
UNION ALL
SELECT 5, 29237393
UNION ALL
SELECT 11, 02834372

UPDATE HumanResources.Employee
	SET HumanResources.Employee.NationalIDNumber = t.NationalIdNumber
FROM @table t
WHERE HumanResources.Employee.BusinessEntityID = t.EmployeeId
GO
SELECT *
FROM sys.tables

